----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 11/15/2017 09:18:45 AM
-- Design Name: 
-- Module Name: GameSim - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity GameSim is
--  Port ( );
end GameSim;

architecture Behavioral of GameSim is

    component Game port (Clock : in STD_LOGIC;
                         Switch : in STD_LOGIC_VECTOR (3 downto 0);
                         Ein : in STD_LOGIC;
                         Rst : in STD_LOGIC;
                         LED : out STD_LOGIC_Vector (15 downto 0);
                         Anode : out STD_LOGIC_VECTOR (3 downto 0);
                         Cathode : out STD_LOGIC_VECTOR (7 downto 0));
    end component;
    
    signal Switch : STD_LOGIC_VECTOR (3 downto 0) := "0000";
    Signal LED : STD_LOGIC_VECTOR (15 downto 0);
    signal Ein, Rst, Clock : STD_LOGIC := '0';

begin

    UUT: Game port map (Switch => Switch, LED => LED, Ein => Ein, Rst => Rst, Clock => Clock);
    
    process begin
        Clock <= '0';
        wait for 1ps;
        Clock <= '1';
        wait for 1ps;
    end process;

    process begin
        Ein <= '0';
        Rst <= '0';
        Switch <= "0000";
        wait for 1ns;
        Ein <= '1';
        wait for 1ns;
        Ein <= '0';
        Switch <= "0001";
        wait for 1ns;
        Switch <= "0010";
        wait for 1ns;
        Switch <= "0011";
        wait for 1ns;
        Switch <= "0100";
        wait for 1ns;
        Switch <= "0101";
        wait for 1ns;
        Switch <= "0110";
        wait for 1ns;
        Switch <= "0111";
        wait for 1ns;
        Switch <= "1000";
        wait for 1ns;
        Switch <= "1001";
        wait for 1ns;
        Switch <= "1010";
        wait for 1ns;
        Switch <= "1011";
        wait for 1ns;
        Switch <= "1100";
        wait for 1ns;
        Switch <= "1101";
        wait for 1ns;
        Switch <= "1110";
        wait for 1000ns;
        Switch <= "1111";
        wait for 3ns;
        Rst <= '1';
        wait for 1ns;
        Rst <= '0';
        wait;
    end process;

end Behavioral;
